# Terminate Employees

> Source: https://truto.one/docs/api-reference/unified-hris-api/employees/terminate/

`POST /unified/hris/employees/terminate`

Resource: **Employees** · API: **Unified HRIS API**

## Supported integrations

HiBob

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.

## Request body

- **`employee_id`** _(string)_
  The employee id
- **`termination_date`** _(string)_
  This represents the termination date
- **`termination_type`** _(string)_
  Represents the type of termination. If no clear mapping exists, then raw value is returned.
  Allowed: `voluntary`, `dismissed`, `redundancy`, `end_of_contract`, `retirement`, `mutual`
- **`termination_reason`** _(string)_
  Represents the reason for termination
- **`remote_data`** _(object)_
  Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

## Response body

- **`id`** _(string, required)_
  The unique identifier for employees
- **`employee_number`** _(string)_
  This represents the employee number
- **`company`** _(object)_
  This represents the company
  - **`id`** _(string)_
    The unique identifier for companies
- **`first_name`** _(string)_
  This represents the first name of the employee
- **`middle_name`** _(string)_
  This represents the middle name of the employee
- **`last_name`** _(string)_
  This represents the last name of the employee
- **`name`** _(string)_
  This represents the name of the employee
- **`username`** _(string)_
  This represents the username
- **`job_title`** _(string)_
  Job title of the employee
- **`groups`** _(array<object>)_
  This represents the groups
  - **`id`** _(string)_
    The unique identifier for groups
  - **`name`** _(string)_
    Group's name
  - **`type`** _(string)_
    Type of the group. Some underlying providers use this to differentiate between in-built and user created groups.
- **`emails`** _(array<object>)_
  The emails of the user
  - **`email`** _(string)_
    The email address
  - **`type`** _(string)_
    The type of email address
  - **`is_primary`** _(boolean)_
    Whether the email address is primary
- **`phones`** _(array<object>)_
  The phones of the user
  - **`number`** _(string)_
    The phone number
  - **`extension`** _(string)_
    The extension of the phone number
  - **`type`** _(string)_
    The type of phone number
- **`employments`** _(array<object>)_
  Represents a role or employment of the employee in the company
  - **`id`** _(string, required)_
    The unique identifier for employments
  - **`employee`** _(object)_
    Employee associated with this employment
    - **`id`** _(string)_
      The unique identifier for employees
  - **`job_title`** _(string)_
    Job title of the employee
  - **`pay_rate`** _(number)_
    This represents the pay rate
  - **`pay_period`** _(string)_
    This represents the pay period
  - **`pay_frequency`** _(string)_
    This represents the pay frequency
  - **`pay_currency`** _(string)_
    This represents the pay currency
  - **`pay_group`** _(string)_
    This represents the pay group
  - **`flsa_status`** _(string)_
    This represents the flsa status
  - **`effective_date`** _(string)_
    Represents the effective date of the employment
  - **`end_date`** _(string)_
    Represents the end date of the employment
  - **`employment_type`** _(string)_
    This represents the employment type
    Allowed: `full_time`, `part_time`, `contract`, `internship`, `temporary`, `trainee`, `volunteer`, `per_diem`
  - **`end_reason`** _(string)_
    Represents why the employment ended
  - **`created_at`** _(string)_
    This represents the date when the employments was created
  - **`updated_at`** _(string)_
    This represents the date when the employments was updated
- **`home_location`** _(array<object>)_
  This represents the home location
  - **`id`** _(string)_
    The unique identifier for locations
  - **`name`** _(string)_
    This represents the name of the location
  - **`street_1`** _(string)_
    The first line of home address
  - **`street_2`** _(string)_
    The second line of home address
  - **`city`** _(string)_
    The city of the home address
  - **`state`** _(string)_
    The state/province of the home address
  - **`postal_code`** _(string)_
    The postal code of the home address
  - **`country`** _(string)_
    The country of the home address
- **`work_location`** _(object)_
  This represents the work location
  - **`id`** _(string)_
    The unique identifier for locations
  - **`name`** _(string)_
    This represents the name of the location
  - **`street_1`** _(string)_
    The first line of work address
  - **`street_2`** _(string)_
    The second line of work address
  - **`city`** _(string)_
    The city of the work address
  - **`state`** _(string)_
    The state/province of the work address
  - **`postal_code`** _(string)_
    The postal code of the work address
  - **`country`** _(string)_
    The country of the work address
- **`manager`** _(object)_
  Represents the manager of the employee. Is also an employee.
  - **`id`** _(string)_
    The unique identifier for employees
  - **`name`** _(string)_
    This represents the name of the employee
- **`pay_group`** _(object)_
  This represents the pay group
  - **`id`** _(string)_
    The unique identifier for pay groups
- **`ssn`** _(string)_
  This represents the ssn
- **`gender`** _(string)_
  This represents gender
- **`ethnicity`** _(string)_
  This represent ethnicity
- **`marital_status`** _(string)_
  This represents marital status
- **`date_of_birth`** _(string)_
  This represents date of birth
- **`start_date`** _(string)_
  This represents the start date
- **`employment_status`** _(string)_
  This represents the employment status. If no clear mapping is available, then the raw value is returned.
  Allowed: `active`, `inactive`, `pending`
- **`termination_date`** _(string)_
  This represents the termination date
- **`termination_type`** _(string)_
  Represents the type of termination. If no clear mapping exists, then raw value is returned.
  Allowed: `voluntary`, `dismissed`, `redundancy`, `end_of_contract`, `retirement`, `mutual`
- **`termination_reason`** _(string)_
  Represents the reason for termination
- **`avatar`** _(string)_
  This represents the avatar
- **`tags`** _(array<object>)_
  The employee's tags
  - **`id`** _(string)_
    The tag's unique identifier
  - **`name`** _(string)_
    The tag's name
- **`created_at`** _(string)_
  This represents the date when the Employee was created
- **`updated_at`** _(string)_
  This represents the date when the Employee was updated
- **`etag`** _(string)_
  The unique identifier for the specific version of the resource.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X POST 'https://api.truto.one/unified/hris/employees/terminate?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "employee_id": "your_employee_id",
  "termination_date": "your_termination_date",
  "termination_type": "voluntary",
  "termination_reason": "your_termination_reason",
  "remote_data": {}
}'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const body = {
  "employee_id": "your_employee_id",
  "termination_date": "your_termination_date",
  "termination_type": "voluntary",
  "termination_reason": "your_termination_reason",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/hris/employees/terminate?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/hris/employees/terminate"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "employee_id": "your_employee_id",
    "termination_date": "your_termination_date",
    "termination_type": "voluntary",
    "termination_reason": "your_termination_reason",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

// Custom method: terminate
const result = await truto.unifiedApi.terminate(
  'hris',
  'employees',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    # Custom method: terminate
    result = await truto_api.unified_api.terminate(
        "hris",
        "employees",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
